java.net

## Class BindException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.BindException

All Implemented Interfaces:
  Serializable

    public class BindException
    extends SocketException

Signals that an error occurred while attempting to bind a socket to a local address and port. Typically, the port is in use, or the requested local address could not be assigned.

Since:
  JDK1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BindException()` Construct a new BindException with no detailed message.
`BindException(String msg)` Constructs a new BindException with the specified detail message as to why the bind error occurred.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BindException

    public BindException(String msg)

Constructs a new BindException with the specified detail message as to why the bind error occurred. A detail message is a String that gives a specific description of this error.

Parameters:
  `msg` - the detail message

#### BindException

    public BindException()

Construct a new BindException with no detailed message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.